"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var kamboja_core_1 = require("kamboja-core");
var framework_1 = require("../../framework");
var NotFoundInvocation = /** @class */ (function (_super) {
    tslib_1.__extends(NotFoundInvocation, _super);
    function NotFoundInvocation() {
        return _super.call(this) || this;
    }
    NotFoundInvocation.prototype.proceed = function () {
        throw new framework_1.HttpStatusError(404, "Requested url not found");
    };
    return NotFoundInvocation;
}(kamboja_core_1.Invocation));
exports.NotFoundInvocation = NotFoundInvocation;
